--- linkml/generators/markdowngen.py
@@ -139,7 +139,7 @@

         with open(self.exist_warning(self.dir_path(cls)), "w", encoding="UTF-8") as clsfile:
             with redirect_stdout(clsfile):
-                class_curi = self.namespaces.uri_or_curie_for(str(self.namespaces._base), camelcase(cls.name))
+                class_curi = cls.class_uri
                 class_uri = self.namespaces.uri_for(class_curi)
                 self.element_header(cls, cls.name, class_curi, class_uri)
                 print()
@@ -253,7 +253,7 @@
     def visit_slot(self, aliased_slot_name: str, slot: SlotDefinition) -> None:
         with open(self.exist_warning(self.dir_path(slot)), "w", encoding="UTF-8") as slotfile:
             with redirect_stdout(slotfile):
-                slot_curie = self.namespaces.uri_or_curie_for(str(self.namespaces._base), underscore(slot.name))
+                slot_curie = slot.slot_uri
                 slot_uri = self.namespaces.uri_for(slot_curie)
                 self.element_header(slot, aliased_slot_name, slot_curie, slot_uri)
                 self.mappings(slot)
@@ -383,7 +383,7 @@
                         elif k == "description":
                             desc = item_info[k]
                         elif k == "meaning":
-                            meaning = item_info[k]
+                            meaning = f"[{item_info[k]}]({self.namespaces.uri_for(item_info[k])})"
                         else:
                             other[k] = item_info[k]
                 if not other:
@@ -412,11 +412,11 @@
             # from_schema
             # imported_from
             prop_list("See also", [f"[{v}]({v})" for v in obj.see_also])
-            prop_list("Exact Mappings", obj.exact_mappings)
-            prop_list("Close Mappings", obj.close_mappings)
-            prop_list("Narrow Mappings", obj.narrow_mappings)
-            prop_list("Broad Mappings", obj.broad_mappings)
-            prop_list("Related Mappings", obj.related_mappings)
+            prop_list("Exact Mappings", [f"[{v}]({self.namespaces.uri_for(v)})" for v in obj.exact_mappings])
+            prop_list("Close Mappings", [f"[{v}]({self.namespaces.uri_for(v)})" for v in obj.close_mappings])
+            prop_list("Narrow Mappings", [f"[{v}]({self.namespaces.uri_for(v)})" for v in obj.narrow_mappings])
+            prop_list("Broad Mappings", [f"[{v}]({self.namespaces.uri_for(v)})" for v in obj.broad_mappings])
+            prop_list("Related Mappings", [f"[{v}]({self.namespaces.uri_for(v)})" for v in obj.related_mappings])
             #       - exact mappings
             #       - close mappings
             #       - related mappings
